org.apache.synapse.commons.vfs

## Class VFSConstants

- java.lang.Object
- - org.apache.synapse.commons.vfs.VFSConstants

-     public final class VFSConstants
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VFSConstants.SFTP_FILE_OPTION`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APPEND`
    `static java.lang.String` | `ASCII_TYPE`
    `static java.lang.String` | `BINARY_TYPE`
    `static java.lang.String` | `CLUSTER_AWARE`
    `static java.lang.String` | `DEFAULT_FAILED_RECORDS_FILE_DESTINATION` The default location to place the record file
    `static java.lang.String` | `DEFAULT_FAILED_RECORDS_FILE_NAME` The default name of the failed file
    `static int` | `DEFAULT_MAX_RETRY_COUNT`
    `static int` | `DEFAULT_NEXT_RETRY_DURATION`
    `static long` | `DEFAULT_RECONNECT_TIMEOUT`
    `static java.lang.String` | `DEFAULT_RESPONSE_FILE`
    `static java.lang.String` | `DEFAULT_TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT`
    `static double` | `DEFAULT_TRANSPORT_FILE_SIZE_LIMIT`
    `static java.lang.String` | `EBCDIC_TYPE`
    `static java.lang.String` | `FAILED_RECORD_DELIMITER`
    `static java.lang.String` | `FILE_LENGTH`
    `static java.lang.String` | `FILE_NAME`
    `static java.lang.String` | `FILE_PATH`
    `static java.lang.String` | `FILE_SORT_ORDER`
    `static java.lang.String` | `FILE_SORT_PARAM` File Sorting Parameter and values
    `static java.lang.String` | `FILE_SORT_VALUE_LASTMODIFIEDTIMESTAMP`
    `static java.lang.String` | `FILE_SORT_VALUE_NAME`
    `static java.lang.String` | `FILE_SORT_VALUE_SIZE`
    `static java.lang.String` | `FILE_TYPE`
    `static java.lang.String` | `FILE_TYPE_PREFIX`
    `static java.lang.String` | `FILE_URI`
    `static java.lang.String` | `FORCE_CREATE_FOLDER`
    `static java.lang.String` | `LAST_MODIFIED`
    `static java.lang.String` | `LOCAL_TYPE`
    `static java.lang.String` | `MAX_RETRY_COUNT`
    `static java.lang.String` | `RECONNECT_TIMEOUT`
    `static java.lang.String` | `REPLY_FILE_NAME`
    `static java.lang.String` | `REPLY_FILE_URI`
    `static java.lang.String` | `SCHEME`
    `static java.lang.String` | `SCHEME_FTP`
    `static java.lang.String` | `SCHEME_FTPS`
    `static java.lang.String` | `SCHEME_SFTP`
    `static java.lang.String` | `SFTP_PREFIX`
    `static java.lang.String` | `STREAMING`
    `static java.lang.String` | `SUBFOLDER_TIMESTAMP`
    `static java.lang.String` | `TRANSPORT_AUTO_LOCK_RELEASE` Lock release true/false
    `static java.lang.String` | `TRANSPORT_AUTO_LOCK_RELEASE_INTERVAL` Lock release interval
    `static java.lang.String` | `TRANSPORT_AUTO_LOCK_RELEASE_SAME_NODE` Lock release same node
    `static java.lang.String` | `TRANSPORT_BUILD` Fully build the file
    `static java.lang.String` | `TRANSPORT_DISTRIBUTED_LOCK` Distributed Lock enable/disable
    `static java.lang.String` | `TRANSPORT_DISTRIBUTED_LOCK_TIMEOUT` Distributed Lock timeout
    `static java.lang.String` | `TRANSPORT_FAILED_RECORD_NEXT_RETRY_DURATION` Once a record/file is marked as failed we'll try again to move the file after this amount of milliseconds
    `static java.lang.String` | `TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT`
    `static java.lang.String` | `TRANSPORT_FAILED_RECORDS_FILE_DESTINATION` The location to place the property file that contains the failed files
    `static java.lang.String` | `TRANSPORT_FAILED_RECORDS_FILE_NAME` If a rename/move operation failed, we'll keep track of a list in a text file and this will provide the ability to configure that property file name
    `static java.lang.String` | `TRANSPORT_FILE_ACTION_AFTER_ERRORS`
    `static java.lang.String` | `TRANSPORT_FILE_ACTION_AFTER_FAILURE`
    `static java.lang.String` | `TRANSPORT_FILE_ACTION_AFTER_PROCESS`
    `static java.lang.String` | `TRANSPORT_FILE_CONTENT_TYPE`
    `static java.lang.String` | `TRANSPORT_FILE_COUNT` This specify the file count that will be processed in a cycle/batch
    `static java.lang.String` | `TRANSPORT_FILE_FILE_NAME_PATTERN`
    `static java.lang.String` | `TRANSPORT_FILE_FILE_URI`
    `static java.lang.String` | `TRANSPORT_FILE_INTERVAL` This specify the interval between files processed (in milliseconds)
    `static java.lang.String` | `TRANSPORT_FILE_LOCKING`
    `static java.lang.String` | `TRANSPORT_FILE_LOCKING_DISABLED`
    `static java.lang.String` | `TRANSPORT_FILE_LOCKING_ENABLED`
    `static java.lang.String` | `TRANSPORT_FILE_MOVE_AFTER_ERRORS`
    `static java.lang.String` | `TRANSPORT_FILE_MOVE_AFTER_FAILED_MOVE` This specify the folder to which a move failed file should be moved to ( in next successful) attempt
    `static java.lang.String` | `TRANSPORT_FILE_MOVE_AFTER_FAILURE`
    `static java.lang.String` | `TRANSPORT_FILE_MOVE_AFTER_PROCESS`
    `static java.lang.String` | `TRANSPORT_FILE_MOVE_TIMESTAMP_FORMAT`
    `static java.lang.String` | `TRANSPORT_FILE_RESOLVEHOST_DYNAMICALLY` This parameter is used decide whether the resolving hostname IP of URIs are done at deployment or dynamically.
    `static java.lang.String` | `TRANSPORT_FILE_SEND_FILE_LOCKING` parameter to set synchronous uploading of the files for a file protocol on host basis
    `static java.lang.String` | `TRANSPORT_FILE_SIZE_LIMIT`
    `static java.lang.String` | `UPDATE_LAST_MODIFIED`
    `static java.lang.String` | `VFS_PREFIX`
    `static java.lang.String` | `WAIT_TIME_BEFORE_READ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VFS_PREFIX

          public static final java.lang.String VFS_PREFIX

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_ACTION_AFTER_PROCESS

          public static final java.lang.String TRANSPORT_FILE_ACTION_AFTER_PROCESS

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_ACTION_AFTER_ERRORS

          public static final java.lang.String TRANSPORT_FILE_ACTION_AFTER_ERRORS

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_ACTION_AFTER_FAILURE

          public static final java.lang.String TRANSPORT_FILE_ACTION_AFTER_FAILURE

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_MOVE_AFTER_PROCESS

          public static final java.lang.String TRANSPORT_FILE_MOVE_AFTER_PROCESS

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_MOVE_AFTER_ERRORS

          public static final java.lang.String TRANSPORT_FILE_MOVE_AFTER_ERRORS

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_MOVE_AFTER_FAILURE

          public static final java.lang.String TRANSPORT_FILE_MOVE_AFTER_FAILURE

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_FILE_URI

          public static final java.lang.String TRANSPORT_FILE_FILE_URI

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_FILE_NAME_PATTERN

          public static final java.lang.String TRANSPORT_FILE_FILE_NAME_PATTERN

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_CONTENT_TYPE

          public static final java.lang.String TRANSPORT_FILE_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_LOCKING

          public static final java.lang.String TRANSPORT_FILE_LOCKING

      See Also:
        Constant Field Values

    - #### UPDATE_LAST_MODIFIED

          public static final java.lang.String UPDATE_LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_LOCKING_ENABLED

          public static final java.lang.String TRANSPORT_FILE_LOCKING_ENABLED

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_LOCKING_DISABLED

          public static final java.lang.String TRANSPORT_FILE_LOCKING_DISABLED

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_RESOLVEHOST_DYNAMICALLY

          public static final java.lang.String TRANSPORT_FILE_RESOLVEHOST_DYNAMICALLY

      This parameter is used decide whether the resolving hostname IP of URIs are done at deployment or dynamically. At usage default id 'false' which lead hostname resolution at deployment
      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_SIZE_LIMIT

          public static final java.lang.String TRANSPORT_FILE_SIZE_LIMIT

      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSPORT_FILE_SIZE_LIMIT

          public static final double DEFAULT_TRANSPORT_FILE_SIZE_LIMIT

      See Also:
        Constant Field Values

    - #### REPLY_FILE_URI

          public static final java.lang.String REPLY_FILE_URI

      See Also:
        Constant Field Values

    - #### REPLY_FILE_NAME

          public static final java.lang.String REPLY_FILE_NAME

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_MOVE_TIMESTAMP_FORMAT

          public static final java.lang.String TRANSPORT_FILE_MOVE_TIMESTAMP_FORMAT

      See Also:
        Constant Field Values

    - #### DEFAULT_RESPONSE_FILE

          public static final java.lang.String DEFAULT_RESPONSE_FILE

      See Also:
        Constant Field Values

    - #### STREAMING

          public static final java.lang.String STREAMING

      See Also:
        Constant Field Values

    - #### MAX_RETRY_COUNT

          public static final java.lang.String MAX_RETRY_COUNT

      See Also:
        Constant Field Values

    - #### FORCE_CREATE_FOLDER

          public static final java.lang.String FORCE_CREATE_FOLDER

      See Also:
        Constant Field Values

    - #### RECONNECT_TIMEOUT

          public static final java.lang.String RECONNECT_TIMEOUT

      See Also:
        Constant Field Values

    - #### APPEND

          public static final java.lang.String APPEND

      See Also:
        Constant Field Values

    - #### SUBFOLDER_TIMESTAMP

          public static final java.lang.String SUBFOLDER_TIMESTAMP

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_SEND_FILE_LOCKING

          public static final java.lang.String TRANSPORT_FILE_SEND_FILE_LOCKING

      parameter to set synchronous uploading of the files for a file protocol on host basis
      See Also:
        Constant Field Values

    - #### FILE_SORT_PARAM

          public static final java.lang.String FILE_SORT_PARAM

      File Sorting Parameter and values
      See Also:
        Constant Field Values

    - #### FILE_SORT_VALUE_NAME

          public static final java.lang.String FILE_SORT_VALUE_NAME

      See Also:
        Constant Field Values

    - #### FILE_SORT_VALUE_SIZE

          public static final java.lang.String FILE_SORT_VALUE_SIZE

      See Also:
        Constant Field Values

    - #### FILE_SORT_VALUE_LASTMODIFIEDTIMESTAMP

          public static final java.lang.String FILE_SORT_VALUE_LASTMODIFIEDTIMESTAMP

      See Also:
        Constant Field Values

    - #### FILE_SORT_ORDER

          public static final java.lang.String FILE_SORT_ORDER

      See Also:
        Constant Field Values

    - #### TRANSPORT_FAILED_RECORDS_FILE_NAME

          public static final java.lang.String TRANSPORT_FAILED_RECORDS_FILE_NAME

      If a rename/move operation failed, we'll keep track of a list in a text file and this will provide the ability to configure that property file name
      See Also:
        Constant Field Values

    - #### DEFAULT_FAILED_RECORDS_FILE_NAME

          public static final java.lang.String DEFAULT_FAILED_RECORDS_FILE_NAME

      The default name of the failed file
      See Also:
        Constant Field Values

    - #### TRANSPORT_FAILED_RECORDS_FILE_DESTINATION

          public static final java.lang.String TRANSPORT_FAILED_RECORDS_FILE_DESTINATION

      The location to place the property file that contains the failed files
      See Also:
        Constant Field Values

    - #### DEFAULT_FAILED_RECORDS_FILE_DESTINATION

          public static final java.lang.String DEFAULT_FAILED_RECORDS_FILE_DESTINATION

      The default location to place the record file
      See Also:
        Constant Field Values

    - #### TRANSPORT_FAILED_RECORD_NEXT_RETRY_DURATION

          public static final java.lang.String TRANSPORT_FAILED_RECORD_NEXT_RETRY_DURATION

      Once a record/file is marked as failed we'll try again to move the file after this amount of milliseconds
      See Also:
        Constant Field Values

    - #### DEFAULT_NEXT_RETRY_DURATION

          public static final int DEFAULT_NEXT_RETRY_DURATION

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_MOVE_AFTER_FAILED_MOVE

          public static final java.lang.String TRANSPORT_FILE_MOVE_AFTER_FAILED_MOVE

      This specify the folder to which a move failed file should be moved to ( in next successful) attempt
      See Also:
        Constant Field Values

    - #### TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT

          public static final java.lang.String TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT

      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT

          public static final java.lang.String DEFAULT_TRANSPORT_FAILED_RECORD_TIMESTAMP_FORMAT

      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_INTERVAL

          public static final java.lang.String TRANSPORT_FILE_INTERVAL

      This specify the interval between files processed (in milliseconds)
      See Also:
        Constant Field Values

    - #### TRANSPORT_FILE_COUNT

          public static final java.lang.String TRANSPORT_FILE_COUNT

      This specify the file count that will be processed in a cycle/batch
      See Also:
        Constant Field Values

    - #### TRANSPORT_AUTO_LOCK_RELEASE

          public static final java.lang.String TRANSPORT_AUTO_LOCK_RELEASE

      Lock release true/false
      See Also:
        Constant Field Values

    - #### TRANSPORT_AUTO_LOCK_RELEASE_INTERVAL

          public static final java.lang.String TRANSPORT_AUTO_LOCK_RELEASE_INTERVAL

      Lock release interval
      See Also:
        Constant Field Values

    - #### TRANSPORT_AUTO_LOCK_RELEASE_SAME_NODE

          public static final java.lang.String TRANSPORT_AUTO_LOCK_RELEASE_SAME_NODE

      Lock release same node
      See Also:
        Constant Field Values

    - #### TRANSPORT_DISTRIBUTED_LOCK

          public static final java.lang.String TRANSPORT_DISTRIBUTED_LOCK

      Distributed Lock enable/disable
      See Also:
        Constant Field Values

    - #### TRANSPORT_BUILD

          public static final java.lang.String TRANSPORT_BUILD

      Fully build the file
      See Also:
        Constant Field Values

    - #### TRANSPORT_DISTRIBUTED_LOCK_TIMEOUT

          public static final java.lang.String TRANSPORT_DISTRIBUTED_LOCK_TIMEOUT

      Distributed Lock timeout
      See Also:
        Constant Field Values

    - #### FAILED_RECORD_DELIMITER

          public static final java.lang.String FAILED_RECORD_DELIMITER

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_RETRY_COUNT

          public static final int DEFAULT_MAX_RETRY_COUNT

      See Also:
        Constant Field Values

    - #### DEFAULT_RECONNECT_TIMEOUT

          public static final long DEFAULT_RECONNECT_TIMEOUT

      See Also:
        Constant Field Values

    - #### FILE_PATH

          public static final java.lang.String FILE_PATH

      See Also:
        Constant Field Values

    - #### FILE_URI

          public static final java.lang.String FILE_URI

      See Also:
        Constant Field Values

    - #### FILE_NAME

          public static final java.lang.String FILE_NAME

      See Also:
        Constant Field Values

    - #### FILE_LENGTH

          public static final java.lang.String FILE_LENGTH

      See Also:
        Constant Field Values

    - #### LAST_MODIFIED

          public static final java.lang.String LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### SCHEME

          public static final java.lang.String SCHEME

      See Also:
        Constant Field Values

    - #### SFTP_PREFIX

          public static final java.lang.String SFTP_PREFIX

      See Also:
        Constant Field Values

    - #### SCHEME_SFTP

          public static final java.lang.String SCHEME_SFTP

      See Also:
        Constant Field Values

    - #### SCHEME_FTP

          public static final java.lang.String SCHEME_FTP

      See Also:
        Constant Field Values

    - #### SCHEME_FTPS

          public static final java.lang.String SCHEME_FTPS

      See Also:
        Constant Field Values

    - #### FILE_TYPE_PREFIX

          public static final java.lang.String FILE_TYPE_PREFIX

      See Also:
        Constant Field Values

    - #### FILE_TYPE

          public static final java.lang.String FILE_TYPE

      See Also:
        Constant Field Values

    - #### BINARY_TYPE

          public static final java.lang.String BINARY_TYPE

      See Also:
        Constant Field Values

    - #### LOCAL_TYPE

          public static final java.lang.String LOCAL_TYPE

      See Also:
        Constant Field Values

    - #### ASCII_TYPE

          public static final java.lang.String ASCII_TYPE

      See Also:
        Constant Field Values

    - #### EBCDIC_TYPE

          public static final java.lang.String EBCDIC_TYPE

      See Also:
        Constant Field Values

    - #### CLUSTER_AWARE

          public static final java.lang.String CLUSTER_AWARE

      See Also:
        Constant Field Values

    - #### WAIT_TIME_BEFORE_READ

          public static final java.lang.String WAIT_TIME_BEFORE_READ

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VFSConstants

          public VFSConstants()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.